description

# Matrix class Null safety

Annotations
  - @Unstable()
  - @Native("SVGMatrix")

## Properties

a ↔ num?
  read / write
b ↔ num?
  read / write
c ↔ num?
  read / write
d ↔ num?
  read / write
e ↔ num?
  read / write
f ↔ num?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

flipX() → Matrix
flipY() → Matrix
inverse() → Matrix
multiply(Matrix secondMatrix) → Matrix
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
rotate(num angle) → Matrix
rotateFromVector(num x, num y) → Matrix
scale(num scaleFactor) → Matrix
scaleNonUniform(num scaleFactorX, num scaleFactorY) → Matrix
skewX(num angle) → Matrix
skewY(num angle) → Matrix
toString() → String
  Returns a string representation of this object.
  inherited
translate(num x, num y) → Matrix

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited